"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _dom = require("./dom");

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const cloneElement = (document, element) => {
  if (element.nodeValue) {
    return (0, _dom.createTextNode)(element.nodeValue);
  }

  const newElement = (0, _dom.createElement)(element.nodeName);
  newElement.style = _objectSpread({}, element.style);
  newElement.static = element.static;
  newElement.unstable__transformChildren = element.unstable__transformChildren; // eslint-disable-line camelcase

  newElement.textContent = element.textContent;
  newElement.nodeValue = element.nodeValue;

  for (const childNode of element.childNodes) {
    (0, _dom.appendChild)(newElement, cloneElement(document, childNode));
  }

  return newElement;
};

var _default = cloneElement;
exports.default = _default;